;       SCCSID = %W% %E%
        page    ,132

;**************************************************************************
;*
;* SOURCE FILE NAME = S506SEGS.ASM
;*
;* DESCRIPTIVE NAME = IBM1S506.ADD - Adapter Driver for ST506/IDE DASD
;*                    S506 CODE/DATA segment declarations.
;*
;* Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
;*             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
;*             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
;*             RESTRICTED MATERIALS OF IBM
;*             IBM CONFIDENTIAL
;*
;* VERSION = V2.0
;*
;* DATE
;*
;* DESCRIPTION :
;*
;* Purpose:
;*
;*
;*
;* CHANGE ACTIVITY =
;*   DATE      FLAG        APAR   CHANGE DESCRIPTION
;*   --------  ----------  -----  --------------------------------------
;*   05/24/96  @V155162           Thinkpad docking/swapping IDE update.
;*   05/27/96  @V153620           Kernel suspend/resume processing.
;*   02/20/98  @V192176           >8.4GB support.
;****************************************************************************

        include devhdr.inc

;/*-------------------------------------*/
;/* Assembler Helper to order segments  */
;/*-------------------------------------*/

DDHeader        segment dword public 'DATA'
public         _DiskDDHeader
_DiskDDHeader  dd      -1
               dw      DEVLEV_3 + DEV_CHAR_DEV
               dw      _S506Str1
               dw      0
ifdef MCA
               db      "IBM2IDE$"
else
               db      "IBMS506$"
endif
               dw      0
               dw      0
               dw      0
               dw      0
               dd      DEV_ADAPTER_DD + DEV_INITCOMPLETE + 20H     ;/*@V155620*//*@V155620*/
               dw      0

DDHeader        ends


LIBDATA         segment dword public 'DATA'
LIBDATA         ends

_DATA           segment dword public 'DATA'
_DATA           ends

CONST           segment dword public 'CONST'
CONST           ends

_BSS            segment dword public 'BSS'
_BSS            ends

_TEXT           segment dword public 'CODE'

                extrn  _S506Str1:near

_TEXT           ends

Code            segment dword public 'CODE'
Code            ends

LIBCODE         segment dword public 'CODE'
LIBCODE         ends

RMCode          segment dword public 'CODE'
RMCode          ends

InitCode        segment dword public 'CODE'                         ;/*@V192176*/
                extrn   _VDMInt13CallBack:near                      ;/*@V192176*/
InitCode        ends                                                ;/*@V192176*/

DGROUP          group   CONST, _BSS, DDHeader, LIBDATA, _DATA
StaticGroup     group   Code, LIBCODE, _TEXT, InitCode, RMCode


.386p                                                               ;/*@V192176*/
InitCode segment                                                    ;/*@V192176*/
     ASSUME  CS:InitCode,DS:DGROUP                                  ;/*@V192176*/
                                                                    ;/*@V192176*/
 public _StubVDMInt13CallBack                                       ;/*@V192176*/
_StubVDMInt13CallBack PROC NEAR                                     ;/*@V192176*/
                                                                    ;/*@V192176*/
    push  es                                                        ;/*@V192176*/
    call  _VDMInt13CallBack                                         ;/*@V192176*/
    pop   es                                                        ;/*@V192176*/
                                                                    ;/*@V192176*/
    db     66h                                                      ;/*@V192176*/
    retf                                                            ;/*@V192176*/
_StubVDMInt13CallBack endp                                          ;/*@V192176*/
                                                                    ;/*@V192176*/
InitCode ends                                                       ;/*@V192176*/

        end
