/*static char *SCCSID = "%w% %e%";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = FL2DATA.H
 *
 * DESCRIPTIVE NAME = IBM2FLPY.ADD - Adapter Driver for ABIOS Diskette
 *
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : External references to variables in the data
 *               segment
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  05/05/94  @V82589     82589  Fix code locking support
 *  11/08/94  J-d79396           Support 1.2MB Media R/W/F Featuer.
 *
 *
 ****************************************************************************/


extern PFN      Device_Help;
extern BYTE     RequestBlock[];
extern BYTE     MotorOffReqBlk[];
extern BYTE     DefaultIntHandlerRB[];
extern PDEV_BLK pDeviceBlock;
extern USHORT   LID;
extern USHORT   IntLevel;
extern USHORT   UnitCnt;
extern UCHAR    Retry;
extern USHORT   SectorCnt;
extern USHORT   Stage;
extern GLBLFLGS GFlags;
extern USHORT   ADDHandle;
extern ULONG    HookHandle;
extern ULONG    LockHandle;
extern PULONG   pCurIntLvl;                                          /*@V82589*/

extern PCOMPFN  CompletionRoutine;

extern UCHAR    AdapterName[];

extern PIORBH   pHeadIORB;
extern PIORB_DEVICE_CONTROL pSuspendIORB;
extern PIORBH   pResumeIORB;

extern PBYTE    pDMABuffer;
extern ULONG    ppDMABuffer;
extern PBYTE    pReadBackBuffer;
extern ULONG    ppReadBackBuffer;
extern ULONG    MaxBuffSize;
extern ULONG    BuffSize;

extern ADD_XFER_DATA XferData;

extern USHORT   MSPerTick;
extern TIMER    Timer[];
extern DRIVE    Drive[];

extern USHORT   InitData;

extern USHORT   ShouldSetDevParams;                                             //@IBM J-d79396(A)
extern USHORT   CurrentBlockSize;                                               //@IBM J-d79396(A)
