;       SCCSID = src/dev/dasd/ibm/ibm2flpy/fl2math.asm, flp2, mer.basedd, 960610.1 93/03/21

        page    ,132

;/*****************************************************************************
;*
;* SOURCE FILE NAME = FL2MATH.ASM
;*
;* DESCRIPTIVE NAME = IBM2FLPY.ADD - Adapter Driver for ABIOS Diskette
;*                    Device Driver Header
;*
;* COPYRIGHT    COPYRIGHT IBM CORPORATION, 1991, 1992
;*              LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
;*              REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
;*              RESTRICTED MATERIALS OF IBM
;*              IBM CONFIDENTIAL
;*
;* VERSION      V2.0
;*
;* DATE
;*
;* DESCRIPTION :  Miscellaneous arithmetic routines.
;*
;*
;*
;* CHANGE ACTIVITY =
;*   DATE      FLAG        APAR   CHANGE DESCRIPTION
;*   --------  ----------  -----  --------------------------------------
;*   mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
;*****************************************************************************/

StaticCode segment dword public 'CODE'
        assume  cs: StaticCode

        .386

;* unsigned long far _aFuldiv( unsigned long Dividend, unsigned long Divisor )

        public  __aFuldiv

__aFuldiv proc far

;*      Divisor  = 10
;*      Dividend = 6

        push    bp
        mov     bp,sp

        mov     edx, 0
        mov     eax, [bp+6]        ;* put dividend in eax
        div     dword ptr [bp+10]  ;* divide by divisor
        mov     edx, eax           ;* put high word of eax into dx
        shr     edx, 16

        pop     bp
        ret     8                  ;* clean up the stack

__aFuldiv endp

StaticCode ends

END
