/*static char *SCCSID = "src/dev/dasd/lockdrv/lkdrcons.h, lockdrv, mer.basedd, 960610.1 93/03/21";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = LKDRCONS.H
 *
 * DESCRIPTIVE NAME = LOCKDRV.FLT - Convert Removable DASD to Fixed Drive
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Miscellaneous constants and macros
 *
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 *
 *
 ****************************************************************************/


/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define ENABLE  _asm{ sti }
#define DISABLE _asm{ cli }

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define ADDNAME                "LOCKDRIVE_FILTER"
#define ADDFLAGS               0
#define DRIVERCLASS_ADD        1

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define SECTOR_SHIFT            9

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define MAX_UNITS               24
#define MAX_DEVICETABLE_SIZE   (1*1024)

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/
typedef struct _UNITENTRY
{

  VOID         (FAR *pADDEntry)();
  USHORT        UnitHandle;
  UNITINFO      NewUnitInfo;

} UNITENTRY, NEAR *NPUNITENTRY;

#define UNIT_ALLOCATED          0x0001
#define UNIT_LOCKED             0x0002
#define UNIT_INFOCHANGED        0x0004

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/
#define STERR_GENERAL_FAILURE   0x810c
