/*static char *SCCSID = "src/dev/dasd/lockdrv/lkdrextn.h, lockdrv, mer.basedd, 960610.1 93/03/21";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = LKDREXTN.H
 *
 * DESCRIPTIVE NAME = LOCKDRV.FLT - Convert Removable DASD to Fixed Drive
 *                    Static/Initialization Data Externs
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Maps internal data used by this ADD in LKDRDATA.C
 *
 *               When editing this file, try to keep the text aligned with
 *               LKDRDATA.C. This will make tracking EXTERNS for data
 *               items a lot easier!
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 *
 *
 ****************************************************************************/


/*--------------*/
/* Static Data  */
/*--------------*/

extern PFN     Device_Help;
extern USHORT  InitComplete;
extern BYTE    LkdrIORB[MAX_IORB_SIZE];
extern USHORT  UnitListCount;
extern USHORT  UnitList[MAX_UNITS];

/*--------------------*/
/* Configuration Data */
/*--------------------*/

extern USHORT    UnitEntryCount;
extern UNITENTRY UnitEntryTable[MAX_UNITS];

/*---------------------*/
/* Initialization Data */
/*---------------------*/

extern BYTE      InitDataStart;
extern USHORT    ADDHandle;
extern BYTE      DeviceTable[MAX_DEVICETABLE_SIZE];
extern MSGTABLE  LockDrvWngMsg;
