        page    ,132

;/*****************************************************************************
;*
;* SOURCE FILE NAME = OPHEADER.ASM
;*
;* DESCRIPTIVE NAME = Device driver header file for Optical Device Manager
;*
;* COPYRIGHT    COPYRIGHT IBM CORPORATION, 1995
;*              LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
;*              REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
;*              RESTRICTED MATERIALS OF IBM
;*              IBM CONFIDENTIAL
;*
;* VERSION      V2.0
;*
;* DATE
;*
;* DESCRIPTION
;*
;* FUNCTIONS
;*
;*
;* NOTES        NONE
;*
;* STRUCTURES   NONE
;*
;* EXTERNAL REFERENCES
;*
;*              NONE
;*
;* EXTERNAL FUNCTIONS
;*
;*              NONE
;*
;* CHANGE ACTIVITY =
;*   DATE      FLAG        APAR   CHANGE DESCRIPTION
;*   --------  ----------  -----  --------------------------------------
;*   mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
;*****************************************************************************/

        title   opheader - OS/2 2.0 OS2CDROM.DMD device driver
        name    opheader

        page    ,132

        .xlist
        .list

extrn  Strat1:near
extrn  _Strat1b:near

_DATA           segment dword public 'DATA'
_DATA           ends

CONST           segment dword public 'CONST'
CONST           ends

_BSS            segment dword public 'BSS'
_BSS            ends

_TEXT           segment dword public 'CODE'
_TEXT           ends

Code            segment dword public 'CODE'
Code            ends

SwapCode        segment dword public 'CODE'
SwapCode        ends

DGROUP          group   CONST, _BSS, _DATA
StaticGroup     group   Code, _TEXT
SwapGroup       group   SwapCode

include devhdr.inc

;*
;*  Device driver headers
;*

_DATA           segment

                PUBLIC  _Device_header, _Device_name
_Device_header  label   word
                dd      -1
;                dw      0010 1001 1000 0000b       ; block DD, level 3, removable
;                                               ;  media, logical partitions
                dw      DEV_NON_IBM+DEVLEV_3+DEV_30
                dw      Strat1                  ; entry point
                dw      0                       ; IDC entry point
_Device_name    db      'OPTICAL',0             ; device name or numberofunits
                dd      0                       ; reserved
                dd      0                       ; reserved
                dw      DEV_IOCTL2 + DEV_16MB+DEV_ADAPTER_DD
;                dw      DEV_IOCTL2 + DEV_ADAPTER_DD
                dw      0                       ;


_DATA ends
      end
