/*static char *SCCSID = "src/dev/dasd/os2aspi/aspiextn.h, aspi, r206 93/03/20";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = ASPIEXTN.H
 *
 * DESCRIPTIVE NAME = OS2ASPI.DMD - OS/2 ASPI Device Manager
 *                    Static/Initialization Externs
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION  Maps internal data used by this ADD in ASPIDATA.C
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  01/06/93  @V61092     61092  Added SRB wait queue
 *
 ****************************************************************************/

/*--------------*/
/* Static Data  */
/*--------------*/

extern PFN     Device_Help;

extern USHORT  InitComplete;
extern SRB_WAIT_Q SRBWaitQueue[];                                    /*@V61092*/
extern USHORT  ADDHandle;

extern UCHAR   DirTableDASD[];
extern UCHAR   DirTableTAPE[];
extern UCHAR   DirTablePROCESSOR[];
extern UCHAR   DirTableSCANNER[];
extern UCHAR   DirTablePRINTER[];
extern UCHAR   DirTableCHANGER[];
extern UCHAR   DirTableCOMM[];

extern BYTE    ConfigPool[MAX_CONFIG_DATA];

/*---------------------*/
/* Initialization Data */
/*---------------------*/

extern BYTE    InitDataStart;
extern USHORT  ConfigPoolAvail;
extern NPBYTE  npConfigPool;



