/*static char *SCCSID = "src/dev/dasd/os2aspi/cmdpdefs.h, aspi, r206 93/03/20";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = CMDPDEFS.H
 *
 * DESCRIPTIVE NAME = OS2ASPI.DMD - OS/2 ASPI Device Manager
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : ADD CONFIG.SYS Command Line Parser Def  File
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *
 ****************************************************************************/

//
// TOKEN IDs  - opt.id definitions
//
// note:  - Assign a unique token id (1 - 255) for each valid
//          option.
//

//
// General Options
//
#define TOK_ID_ADAPTER        1
#define TOK_ID_PORT           2
#define TOK_ID_UNIT           3

//
// Diskette Specific Options
//
#define TOK_ID_DMA            4
#define TOK_ID_IRQ            5
#define TOK_ID_AHS            6
#define TOK_ID_NOT_AHS        7
#define TOK_ID_FORMAT         8
#define TOK_ID_S_BYTES        9
#define TOK_ID_PS2           10

//
// SCSI Specific Options
//
#define TOK_ID_SLOT          11
#define TOK_ID_AM				  12
#define TOK_ID_NOT_AM		  13
#define TOK_ID_DM            14
#define TOK_ID_NOT_DM        15
#define TOK_ID_SM            16
#define TOK_ID_NOT_SM        17
#define TOK_ID_HCW           18
#define TOK_ID_NOT_HCW       19
#define TOK_ID_HCR           20
#define TOK_ID_NOT_HCR       21
#define TOK_ID_DEV0          22
#define TOK_ID_ET            23
#define TOK_ID_NOT_ET        24
#define TOK_ID_UR            25
#define TOK_ID_NOT_UR        26
#define TOK_ID_V             27
#define TOK_ID_I             28
#define TOK_ID_ALL           29
#define TOK_ID_SHARE         30
