;       SCCSID = src/dev/dasd/os2scsi/scsegs.asm, scsy, mer.basedd, 960610.1 93/03/19

        page    ,132
;/*****************************************************************************
;*
;* SOURCE FILE NAME = SCSEGS.ASM
;*
;* DESCRIPTIVE NAME = Declare segments for OS2SCSI.DMD
;*
;*
;* COPYRIGHT    COPYRIGHT IBM CORPORATION, 1991, 1992
;*              LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
;*              REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
;*              RESTRICTED MATERIALS OF IBM
;*              IBM CONFIDENTIAL
;*
;* VERSION      V2.0
;*
;* DATE
;*
;* DESCRIPTION  Insures segments are linked in proper order according
;*              to OS/2 Device Driver model.
;*
;*
;* CHANGE ACTIVITY =
;*   DATE      FLAG        APAR   CHANGE DESCRIPTION
;*   --------  ----------  -----  --------------------------------------
;*   mm/dd/yy  @Vr.mpppxx  xxxxx  xxxxxxx
;*****************************************************************************/


;/*-------------------------------------*/
;/* Assembler Helper to order segments  */
;/*-------------------------------------*/

_DATA           segment dword public 'DATA'
_DATA           ends

CONST           segment dword public 'CONST'
CONST           ends

_BSS            segment dword public 'BSS'
_BSS            ends

StaticCode      segment dword public 'CODE'
StaticCode      ends

Code            segment dword public 'CODE'
Code            ends

InitCode        segment dword public 'CODE'
InitCode        ends

SwapCode        segment dword public 'CODE'
SwapCode        ends

DGROUP          group   CONST, _BSS, _DATA
StaticGroup     group   StaticCode, InitCode
SwapGroup       group   SwapCode

        end
