/*static char *SCCSID = "src/dev/dasd/os2scsi/scstubs.c, scsy, mer.basedd, 960610.1 93/03/19";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =   SCSTUBS.C
 *
 * DESCRIPTIVE NAME =   OS2SCSI.DMD - OS/2 SCSI.SYS Emulation
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Resident entry points to swappable routines
 *
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 ****************************************************************************/


#define INCL_NOBASEAPI
#define INCL_NOPMAPI
#include "os2.h"
#include "error.h"
#include "strat2.h"
#include "reqpkt.h"
#include "scb.h"
#include "iorb.h"
#include "scsi.h"
#include "scscsi.h"
#include "scgen.h"
#include "scproto.h"
#include "dhcalls.h"

/*-----------------------*/
/* Resident Entry Points */
/*-----------------------*/


USHORT near CmdErr(pRPH)
PRPH   pRPH;
{
  return(STDON + STERR + ERROR_I24_BAD_COMMAND);
}


/*-----------------------------------------*/
/* Near Entry Points to swappable routines */
/*-----------------------------------------*/

USHORT near DriveGenIOCtl(EntryType, pRPH)
USHORT EntryType;
PRPH   pRPH;
{
  return(f_DriveGenIOCtl(EntryType, pRPH));
}



