/*static char *SCCSID = "src/dev/dasd/ibm/ibm1s506/cmdproto.h, idsk, r207, 8.005p 93/03/18";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =  CMDPROTO.H
 *
 * DESCRIPTIVE NAME =  IBM1S506.ADD - Adapter Driver for ST506/IDE DASD
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : C prototypes for Command Parser internal functions
 *
 * Purpose:
 *
 *
 *
 *
 *
 * CHANGE ACTIVITY =
 *   DATE      FLAG        APAR   CHANGE DESCRIPTION
 *   --------  ----------  -----  --------------------------------------
 *   05/24/96  @V155162           Thinkpad docking/swapping IDE update.
 ****************************************************************************/


/*  Command_Parser local function - PROTOTYPES  */

#ifndef STATIC
  #define STATIC static
#endif

STATIC VOID   NEAR Insert_End_Token();
STATIC BOOL   NEAR Locate_First_Slash();
BOOL          NEAR Parse_Option_Value();
STATIC VOID   NEAR Skip_Over_Blanks();
STATIC VOID   NEAR char_parser();
STATIC VOID   NEAR d_parser();
STATIC VOID   NEAR dd_parser();
STATIC VOID   NEAR dddd_parser();
/*STATIC*/ USHORT NEAR dd_parsersub();
STATIC VOID   NEAR hh_parser();
STATIC VOID   NEAR hhhh_parser();
STATIC VOID   NEAR format_parser();
STATIC VOID   NEAR scsi_id_parser();
/*STATIC*/ VOID   NEAR geometry_parser();
STATIC VOID   NEAR chgline_parser();
STATIC BOOL   NEAR Insert_Token();
/*STATIC*/ BOOL   NEAR Locate_Next_Slash();
STATIC BOOL   NEAR Validate_State_Index(USHORT);
STATIC BOOL   NEAR HH_Char_To_Byte();

