/*static char *SCCSID = "src/dev/dasd/ibm/ibm1s506/s506misc.h, idsk, r207, 8.005p 93/03/18";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =  S506MISC.H
 *
 * DESCRIPTIVE NAME =  IBM1S506.ADD - Adapter Driver for ST506/IDE DASD
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Miscellaneous structures
 *
 * Purpose:
 *
 *
 *
 *
 *
 * CHANGE ACTIVITY =
 *   DATE      FLAG        APAR   CHANGE DESCRIPTION
 *   --------  ----------  -----  --------------------------------------
 *   mm/dd/yy  @VR.MPPPXX  XXXXX  XXXXXXX
 *
 ****************************************************************************/

/*------------------------------------------*/
/*                                          */
/* Disk/Diskette Configuration Data Table   */
/* --------------------------------------   */
/*                                          */
/* A linked list of these structures is     */
/* used by the kernel to pass disk/diskette */
/* geometry obtained via INT 13 to the      */
/* device driver.                           */
/*                                          */
/*------------------------------------------*/

typedef struct _ROMCFG
{
  USHORT           ROMlink;           /* link to next table entry       */
  USHORT           ROMcyls;           /* maximum number of cylinders    */
  USHORT           ROMsecptrk;        /* maximum sectors per track      */
  UCHAR            ROMdevnbr;         /* device number                  */
  USHORT           ROMheads;          /* number of heads                */
  USHORT           ROMwpf;            /* write precompensation factor   */
  USHORT           ROMflags;          /* flag byte                      */

} ROMCFG;

typedef ROMCFG far *PROMCFG;

#define ROMfixed        0x0001
