/*static char *SCCSID = "src/dev/dasd/ibm/ibm2flpy/fl2trace.c, flp2, mer.basedd, 960610.1 93/03/21";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = FL2TRACE.C
 *
 * DESCRIPTIVE NAME = IBM2FLPY.ADD - Adapter Driver for ABIOS Diskette
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Internal Trace Routines
 *
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 *
 *
 ****************************************************************************/


#define INCL_NOPMAPI
#define INCL_NOBASEAPI
#include <os2.h>
#include <dhcalls.h>
#include <strat2.h>     /* needed to keep reqpkt.h happy */
#include <reqpkt.h>
#include <scb.h>        /* needed to keey abios.h happy */
#include <abios.h>
#include <iorb.h>
#include <addcalls.h>
#include "fl2def.h"
#include "fl2proto.h"
#include "fl2data.h"
#include "fl2trace.h"


/*****************************************************************************/
/*                                                                           */
/*   Routine     : CreateTraceBuff                                           */
/*                                                                           */
/*   Description :                                                           */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/

VOID NEAR CreateTraceBuff()
{
   SEL   TraceBuffSel;
   ULONG PhysAddr;

   DevHelp_AllocGDTSelector( &TraceBuffSel, 1 );

   DevHelp_AllocPhys( 65536, 0, &PhysAddr );

   DevHelp_PhysToGDTSelector( PhysAddr, 0, TraceBuffSel );

   TraceBuffPtr = MAKEP( TraceBuffSel, 0 );

   ClearTraceBuff();
}


/*****************************************************************************/
/*                                                                           */
/*   Routine     : ClearTraceBuff                                            */
/*                                                                           */
/*   Description :                                                           */
/*                                                                           */
/*                                                                           */
/*****************************************************************************/

VOID NEAR ClearTraceBuff()
{
   OFFSETOF( TraceBuffPtr ) = 0;

   do { *((PUSHORT)TraceBuffPtr)++ = 0; } while( OFFSETOF(TraceBuffPtr) != 0 );
}


