/**************************************************************************
 *
 * SOURCE FILE NAME = SCSIEXTN.H
 *
 * DESCRIPTIVE NAME = IBM2SCSI.ADD - Adapter Driver for ABIOS SCB Devices
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Externs for Static/Initialization Data
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxx
 *
 ****************************************************************************/

extern DDHDR    SCSIADDHeader;

extern PFN       Device_Help;

extern CHAR      DelivName;
extern DDTABLE   DDTbl;
extern USHORT    DeliveryHandle;
extern USHORT    ADDStatus;
extern USHORT    IntCount;
extern USHORT    CurDskLID;
extern USHORT    cAdapters;
extern USHORT    cDevices;
extern USHORT    UnitHandle;
extern USHORT    RetryCount;
extern USHORT    MaxSCBs;
extern USHORT    ADDHandle;
extern USHORT    GroupSize;
extern NPDCB     *UnitHandleTbl;
extern USHORT    QueueSize;
extern USHORT    PipeSize;
extern NPTRACEINFO TraceBuf;
extern USHORT    TraceIndex;
extern USHORT    UnitHandle;
extern USHORT    LedCnt;
extern USHORT    IgnoreMask;
extern USHORT    TraceIORBs;
extern USHORT    verbose;
extern USHORT    old_part;
extern SEL       sEBDA;
extern MBR       mbr;

extern UCHAR     ledmask_on;
extern UCHAR     ledmask_off;
extern UCHAR     FirstSCSIDrive;
extern UCHAR     SelectableBootDrv;

extern ULONG     ppData;
extern ULONG     DfltTimeout;

extern NPBYTE    free;

extern NPABRBH   npRBH;

extern NPDCB     npDCB;

extern NPSCBH    npSCBFreeList;
extern NPSCBH    npSCBLastFree;
extern ULONG     *Timers;

extern CALLTBL IORBCallTbl[];
extern CALLTBL IORBMMCallTbl[];

extern ACB    ACBTbl[];
extern USHORT AddSenseDataMap[];
extern USHORT MaxAddSenseData;

extern DELIVERYTABLE DelivTbl;
extern HOSTRTNTBL    HostRtnTbl;

extern CHAR   AdapterName[];
extern CHAR   CorvetteDesc[];
extern ULONG  MemPool[];

extern SCSI_INQDATA inqdata;
extern IORBH        initIORB;
extern PIORB        pInitIORB;
extern USHORT       ldatable[];
extern SCB          initSCB;
extern TSB          initTSB;
extern ULONG        ppinitSCB;
extern ULONG        ppinitTSB;

extern MSGTABLE           AdapterWngMsg;
extern MSGTABLE           InvalidParmMsg;
extern MSGTABLE           InitMsg;
extern UCHAR              msgbuf[];

extern UCHAR              Patch15Data[];
extern UCHAR              Patch16Data[];
extern UCHAR              Patch17Data[];
extern UCHAR              Patch19Data[];
extern UCHAR              Patch15vData[];
extern UCHAR              Patch16vData[];
extern UCHAR              Patch17vData[];
extern UCHAR              Patch19vData[];

extern BYTE EndData;
