/*static char *SCCSID = "src/dev/dasd/lockdrv/lkdrdata.c, lockdrv, mer.basedd, 960610.1 93/03/21";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = LKDRDATA.C
 *
 * DESCRIPTIVE NAME = LOCKDRV.FLT - Convert Removable DASD to Fixed Drive
 *                    Static/Initialization Data
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Declares all internal data used by this ADD.
 *
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 *
 *
 ****************************************************************************/



#define INCL_NOBASEAPI
#define INCL_NOPMAPI
#include <os2.h>

#include <devcmd.h>

#define INCL_INITRP_ONLY
#include <reqpkt.h>

#include <scb.h>
#include <abios.h>

#include <iorb.h>
#include <addcalls.h>

#include <dhcalls.h>

#include <lkdrcons.h>
#include <lkdrpro.h>
#include <lkdrextn.h>

/*--------------*/
/* Static Data  */
/*--------------*/

PFN     Device_Help             = 0;
USHORT  InitComplete            = 0;
BYTE    LkdrIORB[MAX_IORB_SIZE] = {0};
USHORT  UnitListCount;
USHORT  UnitList[MAX_UNITS];

/*--------------------*/
/* Configuration Data */
/*--------------------*/

USHORT    UnitEntryCount            =  0;
UNITENTRY UnitEntryTable[MAX_UNITS] = {0};

/*---------------------*/
/* Initialization Data */
/*---------------------*/

BYTE    InitDataStart                     = 0;
USHORT  ADDHandle                         = 0;
BYTE    DeviceTable[MAX_DEVICETABLE_SIZE] = {0};

#define MSG_REPLACEMENT_STRING  1178

static UCHAR LockDrvWng[] =                                        \
"\n\r"                                                             \
"LockDrive Filter: Some devices requested could not be locked.\n\r";

MSGTABLE  LockDrvWngMsg = { MSG_REPLACEMENT_STRING,
                            1,
                            LockDrvWng
                          };
