/*static char *SCCSID = "src/dev/dasd/os2aspi/aspicons.h, aspi, r206 93/03/20";*/
/**************************************************************************
 *
 * SOURCE FILE NAME = ASPICONS.H
 *
 * DESCRIPTIVE NAME = OS2ASPI.DMD - OS/2 ASPI Device Manager
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Miscellaneous constants and macros
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  11/18/92  @V58231     58231  Added the constant SRB_CHAIN_COUNT to
 *                               control the number of SRB allocated
 *                               for linked ASPI commands.
 *
 ****************************************************************************/

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define ENABLE  _asm{ sti }
#define DISABLE _asm{ cli }

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define ADDFLAGS               0
#define DRIVERCLASS_ADD        1

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/

#define MAX_CONFIG_DATA        (16*1024)

/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/
#define STERR_GENERAL_FAILURE   0x810c


/*---------------------------------------------------*/
/*                                                   */
/*                                                   */
/*---------------------------------------------------*/
#define MAX_DT_ADAPTERS  8
#define MAX_DT_UNITS     56
#define MAX_DT_SIZE (sizeof(DEVICETABLE) + ((MAX_DT_ADAPTERS-1) * 2) +        \
              (MAX_DT_ADAPTERS * (sizeof(ADAPTERINFO)-sizeof(UNITINFO))) +    \
              (MAX_DT_UNITS * sizeof(UNITINFO))  )


#define MAX_QUEUING_COUNT 4
#define SRB_CHAIN_COUNT 3                                            /*@V58231*/



