/*static char *SCCSID = "src/dev/dasd/os2scsi/scstrat1.c, scsy, mer.basedd, 960610.1 93/03/19";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =  SCSTRAT1.C
 *
 * DESCRIPTIVE NAME = OS2SCSI.DMD - OS/2 SCSI.SYS Emulation
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : Strategy 1 entry point and request router
 *
 *
 *
 * CHANGE ACTIVITY =
 *  DATE      FLAG        APAR   CHANGE DESCRIPTION
 *  --------  ----------  -----  --------------------------------------
 *  mm/dd/yy  @Vnnnnn     xxxxx  xxxxxxx
 ****************************************************************************/


#define INCL_NOBASEAPI
#define INCL_NOPMAPI
#include "os2.h"
#include "devcmd.h"
#include "error.h"
#include "strat2.h"
#include "reqpkt.h"
#include "scb.h"
#include "iorb.h"
#include "scsi.h"
#include "scscsi.h"
#include "scgen.h"
#include "scproto.h"


void near IDCEntry()
{
  PRPH          pRPH;

  _asm { mov word ptr pRPH[0], bx };
  _asm { mov word ptr pRPH[2], es };

  DDRoute(pRPH, IDC_ENTRY);

  _asm {LEAVE};
  _asm {retf};
}

void near DDStrat1Entry()
{
  PRPH          pRPH;

  _asm { mov word ptr pRPH[0], bx };
  _asm { mov word ptr pRPH[2], es };

  DDRoute(pRPH, STRAT1_ENTRY);

  _asm {LEAVE};
  _asm {retf};
}


void near DDRoute(pRPH, EntryType)
PRPH          pRPH;
USHORT        EntryType;
{
  USHORT        Cmd, status;

  Cmd = pRPH->Cmd;

  /*----------------------------*/
  /* Filter out invaid requests */
  /*----------------------------*/

  switch (Cmd)
  {
     case CMDGenIOCTL:
        status = f_DriveGenIOCtl(EntryType, pRPH);
        break;

     case CMDInitBase:
        status = f_DriveInit( (PRPINITIN) pRPH );
        break;

     default:
        status = STDON + STERR + ERROR_I24_BAD_COMMAND;
  }
  pRPH->Status = status;
}

