/* SCCSID = "src/snooper/parallel/parextrn.h, parsnp, c.basedd, currbld 96/04/17" */
/****************************************************************************/
/*                                                                          */
/*                           IBM Confidential                               */
/*                                                                          */
/*                 Copyright (c) IBM Corporation 1996                       */
/*                           All Rights Reserved                            */
/*                                                                          */
/****************************************************************************/
/************************** START OF SPECIFICATIONS ***************************/
/*                                                                            */
/*   SOURCE FILE NAME:  PAREXTRN.H                                            */
/*                                                                            */
/*   DESCRIPTIVE NAME:  External data declarations for the PARALLEL snooper   */
/*                      device driver.                                        */
/*                                                                            */
/*   FUNCTION: This module is the PARALLEL snooper device driver external     */
/*             data declarations include file.                                */
/*                                                                            */
/*   NOTES:                                                                   */
/*      DEPENDENCIES: None                                                    */
/*      RESTRICTIONS: None                                                    */
/*                                                                            */
/*   ENTRY POINTS:  None                                                      */
/*                                                                            */
/*   EXTERNAL REFERENCES:  None                                               */
/*                                                                            */
/* Change Log                                                                 */
/*                                                                            */
/*  Mark    yy/mm/dd  Programmer      Comment                                 */
/*  ----    --------  ----------      -------                                 */
/*          96/01/09  Frank Schroeder Original developer.                     */
/*                                                                            */
/**************************** END OF SPECIFICATIONS ***************************/

extern PFN           Device_Help;

extern USHORT        cInstances;

extern parInstance_t *pFreeInstanceList;
extern parInstance_t *pInstanceHead;
extern parInstance_t *pInstanceFoot;

extern USHORT        MSPerTick;

extern parInstance_t InstanceCBs[MAX_LPT];

