/*static char *SCCSID = "@(#)testcfg.h  6.2 92/02/13";*/

/*** TCFGEXT.H - TESTCFG Device Driver Include File
 *
 *      IBM Confidential
 *
 *      Copyright (c) IBM Corporation 1987, 1992
 *
 *      All Rights Reserved
 *
 *   DESCRIPTION
 *
 *     TESTCFG specific include information (defines, protocols, macros)
 *
 *   MODIFICATION HISTORY
 *
 * 1.1  09/17/94 rbdd          J.Grimm    Resource Manager
 */


/* Device Driver Header */
extern DEVICEHDR devhdr;

extern ULONG    APMPresent;
extern FPFUNCTION Device_Help;

extern BIOSINFO BIOSInfo;
extern ULONG    EisaCardID[];
extern USHORT   POSCardID[];
extern FLAG     fEisaPresent;
extern FLAG     fMCAPresent;
extern FARPOINTER  pDataSeg;
extern ULONG       ppDataSeg;

extern UCHAR FailMessage[];
extern UCHAR OEMHelp[];
extern POSRB    RB;
extern POSLENRB POSLenRB;

extern IORB_CONFIGURATION ConfigIORB;
extern IORB_CDB           PassthruIORB;
extern IORB_UNIT_CONTROL  UnitControlIORB;
extern char   DeviceTableBuffer[];
extern struct DevClassTableStruc far *pDriverTable;
extern INQUIRYDATA InquiryData;

extern USHORT         FilterADDHandle;
extern void           (far *DriverEP)();
extern void           (far *DriverEPF)();

extern HDRIVER DriverHandle;
extern PFNRM   RM_Help0;
extern ULONG   RMFlags;

extern USHORT InitData;


extern PFNRM  RM_Help3;
extern UCHAR  DrvrNameTxt[];
extern USHORT DrvrNameSize;
extern UCHAR  DrvrDescriptTxt[];
extern UCHAR  VendorNameTxt[];

extern DRIVERSTRUCT DriverStruct;

